document: modulemd
version: 1
data:
    summary: Module for TeX formatting system
    description: >-
            The TeX Live software distribution offers a complete TeX system for
            a variety of Unix, Macintosh, Windows and other platforms. It
            encompasses programs for editing, typesetting, previewing and
            printing of TeX documents in many different languages, and a large
            collection of TeX macros and font libraries.
            The distribution includes extensive general documentation about TeX,
            as well as the documentation for the included software packages.
    license:
        module:
            - MIT
        content:
            - Artistic 2.0
            - GPLv2
            - GPLv2+
            - LGPLv2+
            - LPPL
            - MIT
            - Public Domain
            - UCD
            - Utopia
    dependencies:
        buildrequires:
            bootstrap: master
        requires:
            platform: master
            perl: master
            X11-base: master
    references:
        community: https://docs.pagure.org/modularity/
        documentation: https://github.com/modularity-modules/texlive
        tracker: https://github.com/modularity-modules/texlive
    api:
        rpms:
            - texlive-scheme-basic
            - texlive-scheme-context
            - texlive-scheme-full
            - texlive-scheme-gust
            - texlive-scheme-medium
            - texlive-scheme-minimal
            - texlive-scheme-small
            - texlive-scheme-tetex
            - texlive-scheme-xml
    profiles:
        default:
            description: full scheme (everything)
            rpms:
                - texlive-scheme-full
        medium:
            description: medium scheme (small + more packages and languages)
            rpms:
                - texlive-scheme-medium
        small:
            description: small scheme (basic + xetex, metapost, a few languages)
            rpms:
                - texlive-scheme-small
    components:
        rpms:
            # cairo-1.15.8-1.fc28
            cairo:
                rationale: Generated.
                ref: a31104fe09533f38b0bf8c198e4b399ebd8f801b
            # graphite2-1.3.10-3.fc27
            graphite2:
                rationale: Generated.
                ref: c0f8767665ac20775088a86c1771273dea3eb2d0
            # harfbuzz-1.5.1-1.fc28
            harfbuzz:
                rationale: Generated.
                ref: c1a44de212f376d961863ff943e236e66cb01f68
            # lcms2-2.8-5.fc27
            lcms2:
                rationale: Generated.
                ref: 3e7917d9a97762e4686c67c9adcf504a7bdbd7c1
            # libpaper-1.1.24-16.fc27
            libpaper:
                rationale: Generated.
                ref: d3678218e6d678ed861e1fe670dd1576d42d2b04
            # perl-Text-Unidecode-1.30-4.fc27
            perl-Text-Unidecode:
                rationale: Generated.
                ref: d9cca6bb5de6eb987bf3970903a9d6f11be48098
            # perl-XML-Parser-2.44-9.fc27
            perl-XML-Parser:                                                    
                rationale: Generated.                                           
                ref: 005619655f3504d42bdde3d60ef09ae8e17391bb                   
            # perl-XML-XPath-1.42-1.fc27                                        
            perl-XML-XPath:                                                     
                rationale: Generated.                                           
                ref: 35c7e0ebff9dd4901d72df0da999672b99e8efe9                   
            # poppler-0.60.1-1.fc28                                             
            poppler:                                                            
                rationale: Generated.                                           
                ref: 181d22d77797a53a4ce90d202ab819be5d2ea62d                   
            # poppler-data-0.4.8-1.fc27                                         
            poppler-data:                                                       
                rationale: Generated.                                           
                ref: 8f14cbf8d5810a4957ce7dc2e9cef8786aa12330                   
            # teckit-2.5.7-1.fc28                                               
            teckit:
                rationale: Generated.
                ref: 2dc2ff308f63888c368e182ae7d7587fb2571e0e
            # texlive-2016-36.20160520.fc28.7
            texlive:
                rationale: Generated.
                ref: 6497f206fda5f7193191c5caee06966694cb9cc1
            # zziplib-0.13.62-10.fc27
            zziplib:
                rationale: Generated.
                ref: c6a974e94fa6bcf1643c31538e2ed5c793d6a254
